function Createregxml()
{
	try{
		regxml = new ActiveXObject("Microsoft.XMLHTTP");
	}catch(e){
		try{

		regxml = new ActiveXObject("Msxm12.XMLHTTP");
		}catch(E){
		    regxml = false;
		}
	}
	
	if(!regxml && typeof XMLHttpRequest != 'undefined')
	{
	 regxml =new XMLHttpRequest();
	}
	return regxml;
}

function returnI()
{
	if(regxml.readyState == 4)
	{
	    var Data = regxml.responseText;
//		alert(Data);
//		document.modhostname.icpcode.value=Data;
		  var divobj = document.getElementById("divicpinfo");
         divobj.innerHTML = "<br><font color=red><b>"+Data+"<b></font>";
		 return;
		
	}
//	else
		//{
		  //  alert("连接服务器失败,请刷新重试.");
	//	}
}
function doicpcheck(domainname)
{
	if (domainname.length>4)
	{
			regxml = Createregxml();
			regxml.onreadystatechange=returnI;
			var url = "/inc-freehost-function/checkicp.asp?";
			regxml.open("GET",url+"domain="+domainname);
			regxml.send(null);
			document.imgcode.src="/inc-freehost-function/checkicp.asp?getcode="+domainname+"&id="+Math.random();
			document.imgcode.style.display="";
			 
	}
}
function doicpcheckend(code)
{
			regxml = Createregxml();
			regxml.onreadystatechange=returnI;
			var url = "/inc-freehost-function/checkicp.asp?";
			regxml.open("GET",url+"code="+code);
			regxml.send(null);
}
